Skip to main content
`Ctrl`+`K`

# PETSC_VIEWER_MATLAB_

Creates a `PETSCVIEWERMATLAB` `PetscViewer` shared by all processors in a communicator.

## Synopsis

    #include "petscviewer.h"
    #include "petscmat.h"
    PetscViewer PETSC_VIEWER_MATLAB_(MPI_Comm comm)

Collective

## Input Parameter

- comm - the MPI communicator to share the MATLAB `PetscViewer`

## Options Database Key

- -viewer_matlab_filename name - name of the MATLAB file

## Environmental variable

- `PETSC_VIEWER_MATLAB_FILENAME` - name of the MATLAB file

## Notes

This object is destroyed in `PetscFinalize()`, `PetscViewerDestroy()` should never be called on it

Unlike almost all other PETSc routines, `PETSC_VIEWER_MATLAB_()` does not return an error code. The MATLAB `PetscViewer` is usually used in the form `XXXView(XXX object, PETSC_VIEWER_MATLAB_(comm))`

Use `PETSC_VIEWER_SOCKET_()` or `PetscViewerSocketOpen()` to communicator with an interactive MATLAB session.

## See Also

`PETSC_VIEWER_MATLAB_WORLD`, `PETSC_VIEWER_MATLAB_SELF`, `PetscViewerMatlabOpen()`, `PetscViewerCreate()`, `PetscViewerDestroy()`

## Level

intermediate

## Location

src/sys/classes/viewer/impls/matlab/vmatlab.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages